Box2D: b2CircleShape Class Reference

# b2CircleShape Class Reference

A circle shape. More...

`#include <b2CircleShape.h>`

Inheritance diagram for b2CircleShape:

List of all members.

## Public Member Functions

| b2CircleShape ()
b2Shape * | Clone (b2BlockAllocator *allocator) const
| Implement b2Shape.
bool | TestPoint (const b2Transform &transform, const b2Vec2 &p) const
| Implement b2Shape.
bool | RayCast (b2RayCastOutput *output, const b2RayCastInput &input, const b2Transform &transform) const
| Implement b2Shape.
void | ComputeAABB (b2AABB *aabb, const b2Transform &transform) const
void | ComputeMass (b2MassData *massData, float32 density) const
int32 | GetSupport (const b2Vec2 &d) const
| Get the supporting vertex index in the given direction.
const b2Vec2 & | GetSupportVertex (const b2Vec2 &d) const
| Get the supporting vertex in the given direction.
int32 | GetVertexCount () const
| Get the vertex count.
const b2Vec2 & | GetVertex (int32 index) const
| Get a vertex by index. Used by b2Distance.

## Public Attributes

b2Vec2 | m_p
| Position.

## Detailed Description

A circle shape.

## Constructor & Destructor Documentation

b2CircleShape::b2CircleShape | ( |  | ) | `[inline]`

## Member Function Documentation

b2Shape * b2CircleShape::Clone | ( | b2BlockAllocator * | allocator | ) | const`[virtual]`

Implement b2Shape.

Implements b2Shape.

void b2CircleShape::ComputeAABB | ( | b2AABB * | aabb,
|  | const b2Transform & | transform |
| ) |  |  | const`[virtual]`

See also:
  b2Shape::ComputeAABB

Implements b2Shape.

void b2CircleShape::ComputeMass | ( | b2MassData * | massData,
|  | float32 | density |
| ) |  |  | const`[virtual]`

See also:
  b2Shape::ComputeMass

Implements b2Shape.

int32 b2CircleShape::GetSupport | ( | const b2Vec2 & | d | ) | const`[inline]`

Get the supporting vertex index in the given direction.

const b2Vec2 & b2CircleShape::GetSupportVertex | ( | const b2Vec2 & | d | ) | const`[inline]`

Get the supporting vertex in the given direction.

const b2Vec2 & b2CircleShape::GetVertex | ( | int32 | index | ) | const`[inline]`

Get a vertex by index. Used by b2Distance.

int32 b2CircleShape::GetVertexCount | ( |  | ) | const`[inline]`

Get the vertex count.

bool b2CircleShape::RayCast | ( | b2RayCastOutput * | output,
|  | const b2RayCastInput & | input,
|  | const b2Transform & | transform |
| ) |  |  | const`[virtual]`

Implement b2Shape.

Implements b2Shape.

bool b2CircleShape::TestPoint | ( | const b2Transform & | transform,
|  | const b2Vec2 & | p |
| ) |  |  | const`[virtual]`

Implement b2Shape.

Implements b2Shape.

## Member Data Documentation

b2Vec2 b2CircleShape::m_p

Position.

The documentation for this class was generated from the following files:

- Box2D/Box2D/Collision/Shapes/b2CircleShape.h
- Box2D/Box2D/Collision/Shapes/b2CircleShape.cpp